Go to the first, previous, next, last section, table of contents.

### `dp_sp`, `dp_sp_mod`

`dp_sp(dpoly1,dpoly2)`
`dp_sp_mod(dpoly1,dpoly2,mod)`
  :: Computation of an S-polynomial

return
  distributed polynomial
dpoly1 dpoly2
  distributed polynomial
mod
  prime

- This function computes the S-polynomial of dpoly1 and dpoly2.
- Inputs of `dp_sp_mod()` must be polynomials with coefficients in a finite field.
- The result may be multiplied by a constant in the ground field in order to make the result integral.

    [227] X=dp_ptod(x^2*y+x*y,[x,y]);
    (1)*<<2,1>>+(1)*<<1,1>>
    [228] Y=dp_ptod(x*y^2+x*y,[x,y]);
    (1)*<<1,2>>+(1)*<<1,1>>
    [229] dp_sp(X,Y);
    (-1)*<<2,1>>+(1)*<<1,2>>

`References`
  section `dp_mod`, `dp_rat`.

Go to the first, previous, next, last section, table of contents.